#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA5,0x44,0x39,0x29,0xD7,0xFD,0xAC,0x53,0x25,0x3D,0x4D,0x87,
		0xFF,0x6F,0x28,0x5C,0x7A,0x37,0x38,0x21,0x2F,0xF3,0x45,0xFD,
		0xF7,0xAA,0x12,0xF4,0x92,0x8D,0xAC,0xE9,0x6A,0x31,0x8B,0xF1,
		0xA8,0x66,0x14,0xF0,0x6E,0x72,0xAD,0xC9,0x0D,0x51,0x66,0x99,
		0x1B,0xFA,0x00,0xE5,0xDC,0xC0,0x9D,0x0D,0x91,0x66,0x10,0x11,
		0xDF,0x35,0x2B,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
